#ifndef _sw_howl_dll_h
#define _sw_howl_dll_h

/*
 * Copyright 2003, 2004 Porchdog Software. All rights reserved.
 *
 *	Redistribution and use in source and binary forms, with or without modification,
 *	are permitted provided that the following conditions are met:
 *
 *		1. Redistributions of source code must retain the above copyright notice,
 *		   this list of conditions and the following disclaimer.   
 *		2. Redistributions in binary form must reproduce the above copyright notice,
 *		   this list of conditions and the following disclaimer in the documentation
 *		   and/or other materials provided with the distribution.
 *
 *	THIS SOFTWARE IS PROVIDED BY PORCHDOG SOFTWARE ``AS IS'' AND ANY
 *	EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 *	IN NO EVENT SHALL THE HOWL PROJECT OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 *	INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *	BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *	DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 *	OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 *	OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 *	OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 *	The views and conclusions contained in the software and documentation are those
 *	of the authors and should not be interpreted as representing official policies,
 *	either expressed or implied, of Porchdog Software.
 */

#if defined(WIN32)

#	if !defined(DLL_EXPORT)
#		define	DLL_EXPORT	__declspec(dllexport) __stdcall
#	endif
#	if !defined(DLL_IMPORT)
#		define	DLL_IMPORT	__declspec(dllimport) __stdcall
#	endif
#	pragma	warning(disable:4355)

#else

#	if !defined(DLL_EXPORT)
#		define	DLL_EXPORT
#	endif
#	if !defined(DLL_IMPORT)
#		define	DLL_IMPORT
#	endif

#endif


#if defined(WIN32) || defined(_WIN32_WCE)

#	if (_MSC_VER >= 1300)
#		include <winsock2.h>
#	endif
#	include <windows.h>

#endif

#if (defined(WIN32) || defined(_WIN32_WCE)) && defined(BUILD_HOWL_DLL)
#	define HOWL_DLL	DLL_EXPORT
#	define HOWL_API	__stdcall
#elif (defined(WIN32) || defined(_WIN32_WCE)) && !defined(HOWL_STATIC_LIB)
#	define HOWL_DLL	DLL_IMPORT
#	define HOWL_API	__stdcall
#elif (defined(WIN32) || defined(_WIN32_WCE)) && defined(HOWL_STATIC_LIB)
#	define HOWL_DLL
#	define HOWL_API	__stdcall
#else
#	define HOWL_DLL
#	define HOWL_API

#endif

#endif
